All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
fmin.hpp File Reference
`#include <stan/math/rev/core.hpp>`
`#include <boost/math/special_functions/fpclassify.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/meta/likely.hpp>`
`#include <stan/math/rev/scal/fun/is_nan.hpp>`
`#include <stan/math/prim/scal/fun/is_nan.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

var | stan::math::fmin (const stan::math::var &a, const stan::math::var &b)
| Returns the minimum of the two variable arguments (C99). More...
var | stan::math::fmin (const stan::math::var &a, double b)
| Returns the minimum of the variable and scalar, promoting the scalar to a variable if it is larger (C99). More...
var | stan::math::fmin (double a, const stan::math::var &b)
| Returns the minimum of a scalar and variable, promoting the scalar to a variable if it is larger (C99). More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.